package com.yd.dal.entity.practitioner.hiring;

/**
 * @author xxy
 */
public class HiringApproveSteps {

    /**
     * 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     */
    private Long hiringApproveStatus;

    /**
     * 审批步骤经行到哪一步了
     */
    private Long hiringApproveStepsSeq;



    /**
     * 获取 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     *
     * @return hiringApproveStatus 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     */
    public Long getHiringApproveStatus() {
        return this.hiringApproveStatus;
    }

    /**
     * 设置 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     *
     * @param hiringApproveStatus 是否可进行审批操作 0.不可审批(未到)  1.可审批  2.已审批  3.无权审批(默认) 4.已驳回
     */
    public void setHiringApproveStatus(Long hiringApproveStatus) {
        this.hiringApproveStatus = hiringApproveStatus;
    }

    /**
     * 获取 审批步骤经行到哪一步了
     *
     * @return hiringApproveStepsSeq 审批步骤经行到哪一步了
     */
    public Long getHiringApproveStepsSeq() {
        return this.hiringApproveStepsSeq;
    }

    /**
     * 设置 审批步骤经行到哪一步了
     *
     * @param hiringApproveStepsSeq 审批步骤经行到哪一步了
     */
    public void setHiringApproveStepsSeq(Long hiringApproveStepsSeq) {
        this.hiringApproveStepsSeq = hiringApproveStepsSeq;
    }

    public HiringApproveSteps(Long hiringApproveStatus,Long hiringApproveStepsSeq){
        this.hiringApproveStatus = hiringApproveStatus;
        this.hiringApproveStepsSeq = hiringApproveStepsSeq;
    }
    public HiringApproveSteps(){

    }
    @Override
    public String toString() {
        return "PractitionerHiringApproveSteps{" +
                "hiringApproveStatus=" + hiringApproveStatus +
                ", hiringApproveStepsSeq=" + hiringApproveStepsSeq +
                '}';
    }
}
